// 1. Corrects text resizing oddly in IE6/7 when body font-size is set using em units
// http://clagnut.com/blog/348/#c790
// 2. Prevents iOS text size adjust after orientation change, without disabling user zoom
// www.456bereastreet.com/archive/201012/controlling_text_size_in_safari_for_ios_without_disabling_user_zoom/
* {
  backface-visibility: hidden;
}

html {
  font-size: 16px; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
  -ms-text-size-adjust: 100%; /* 2 */
  -webkit-tap-highlight-color: transparent;
  @include screen-size(md) {
    font-size: 16px; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
    -ms-text-size-adjust: 100%; /* 2 */
  }
}

html, html body {
  margin: 0;
  padding: 0;
  white-space: normal;
  //overflow-y: auto;
  //overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  width: 100%;
}

html body {
  font-family: Arial;
  line-height: 1;
  overflow-x: hidden;
  @include font-size($base-font-size);
}
  // Links
  a {
    color: inherit;
    text-decoration: none;
    outline: 0;
    overflow-wrap: break-word;
    word-wrap: break-word;
  }

  // Heading
  $headings: h1, h2, h3, h4, h5, h6;
  @each $tag in $headings {
    #{$tag} {
      font-size: 100%;
      font-weight: normal;
      margin-top: 0;
      margin-bottom: 0;
    }
  }

  @each $element in ul, ol {
    #{$element} {
      @if $element == ul {
        list-style-type: disc;
      }
      @else if $element == ol {
        list-style-type: decimal;
      }
      list-style-position: inside;
      margin-top: 0;
      margin-bottom: 0;
      .lte-ie7 & {
        margin-left: 0;
      }
    }
  }

  p {
    margin-top: 0;
    line-height: 1.7;
  }

  dl {
    margin: 0;
  }
  dt {
    font-weight: bold;
  }
  dd {
    margin-left: 20px;
  }

  img {
    border: 0; /* 1 */
    -ms-interpolation-mode: bicubic; /* 2 */
  }

  blockquote {
    margin: 0;
  }

  pre {
    margin: 0;
    white-space: pre;
    white-space: pre-wrap;
    word-wrap: break-word;
    font-family: monospace, serif;
  }

  sub,
  sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
  }
  sup { top: -0.5em; }
  sub { bottom: -0.25em; }

  svg:not(:root){
    overflow: hidden;
  }

  table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
  }

  th, caption {
    text-align: left;
    font-weight: normal;
  }

  tbody { // Override Drupal
    border-top: 0;
    td {
      border-bottom: 1px solid;
    }
  }

  img {
    max-width:100%;
    height:auto;
  }

  iframe {
    max-width: 100%;
    border: none;
  }

  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  .fix-wrap {
    flex-wrap: nowrap !important;
  }

  ul, li {
    display: block;
    list-style: none;
  }

  u {
    text-decoration: none;
    border-bottom: 1px solid;
    padding-bottom: 2px;
  }

  a, button, input {
    outline: none;
    border: none;
  }

  input, textarea, button, select {
    font: inherit;
    -webkit-appearance: none;
    border-radius: 0;
  }

  :focus {
    outline: none;
  }

  small {
    font-size: inherit;
  }

  .a-block {
    &:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 3;
    }
  }


  .no-scroll {
    overflow: hidden;
  }

  .trunk {
    display: block;
    position: relative;
    width: 100%;
    margin: auto;
    padding-left: $gutter-width;
    padding-right: $gutter-width;
    max-width: (1220 + $gutter-width * 2);
  }

  .site-header, .site-content, .site-footer {
    //max-width: 1440px;
    display: block;
    margin: auto;
  }

  .site-content {
    @include screen-size(xl) {
      margin-top: 86px;
    }
    @include screen-size(md) {
      margin-top: 70px;
    }
  }

  .pad {
    padding: $gutter-width;
    margin: auto;
    &--reset {
      padding: 0 !important;
      @include screen-size(md) {
        padding: 0 $gutter-width !important;
      }
    }
  }

  .custom-row {
    display: flex;
    flex-direction: row;
  }

  .spacer {
    margin-top: 38px;
    margin-bottom: 38px;
    &--top {
      margin-top: 38px;
      margin-bottom: 0px;
    }
    &--bottom {
      margin-top: 0px;
      margin-bottom: 38px;
    }
  }
